before_script:
  - for ip in $(dig @8.8.8.8 github.com +short); do ssh-keyscan github.com,$ip; ssh-keyscan $ip; done 2>/dev/null >> ~/.ssh/known_hosts
  - for ip in $(dig @8.8.8.8 git.xx.network +short); do ssh-keyscan git.xx.network,$ip; ssh-keyscan $ip; done 2>/dev/null >> ~/.ssh/known_hosts
  - xcodebuild -version

stages:
  - test

test-package-macos:
  stage: test
  tags: 
    - ios
  script:
    - ./run-tests.sh macos
  retry: 1

test-package-ios:
  stage: test
  tags: 
    - ios
  script:
    - ./run-tests.sh ios
  retry: 1

test-examples-ios:
  stage: test
  tags: 
    - ios
  script:
    - ./run-tests.sh examples-ios
  retry: 1
